import { NextFunction, Request, Response } from 'express';
export declare type TErrorMiddleware<T extends any = any> = {
    (error: T, req: Request, res: Response, next: NextFunction): any;
};
export declare type TRegularMiddleware = {
    (req: Request, res: Response, next: NextFunction): any;
};
export declare type TMiddleware<T extends any = any> = TErrorMiddleware<T> | TRegularMiddleware;
