"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BadGatewayException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class BadGatewayException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Bad Gateway') {
        super(message, HttpStatus_1.HttpStatus.BadGateway, 'Bad Gateway');
    }
}
exports.BadGatewayException = BadGatewayException;
