"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConflictException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class ConflictException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Conflict') {
        super(message, HttpStatus_1.HttpStatus.Conflict, 'Conflict');
    }
}
exports.ConflictException = ConflictException;
