"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExpectationFailedException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class ExpectationFailedException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Expectation Failed') {
        super(message, HttpStatus_1.HttpStatus.ExpectationFailed, 'Expectation Failed');
    }
}
exports.ExpectationFailedException = ExpectationFailedException;
