"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForbiddenException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class ForbiddenException extends HttpException_1.HttpException {
    /**
     * @param {string} message
     */
    constructor(message = 'Forbidden') {
        super(message, HttpStatus_1.HttpStatus.Forbidden, 'Forbidden');
    }
}
exports.ForbiddenException = ForbiddenException;
