"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GoneException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class GoneException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Gone') {
        super(message, HttpStatus_1.HttpStatus.Gone, 'Gone');
    }
}
exports.GoneException = GoneException;
