import { HttpStatus } from '../HttpStatus';
export declare class HttpException extends Error {
    readonly status: HttpStatus;
    readonly textStatus: string;
    /**
     * @param {string} message
     * @param {number} status
     * @param {string} textStatus
     */
    constructor(message: string, status: HttpStatus, textStatus: string);
}
