"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LengthRequiredException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class LengthRequiredException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Length Required') {
        super(message, HttpStatus_1.HttpStatus.LengthRequired, 'Length Required');
    }
}
exports.LengthRequiredException = LengthRequiredException;
