"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotAcceptableException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class NotAcceptableException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Not Acceptable') {
        super(message, HttpStatus_1.HttpStatus.NotAcceptable, 'Not Acceptable');
    }
}
exports.NotAcceptableException = NotAcceptableException;
