"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotFoundException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class NotFoundException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Not Found') {
        super(message, HttpStatus_1.HttpStatus.NotFound, 'Not Found');
    }
}
exports.NotFoundException = NotFoundException;
