"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotImplementedException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class NotImplementedException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Not Implemented') {
        super(message, HttpStatus_1.HttpStatus.NotImplemented, 'Not Implemented');
    }
}
exports.NotImplementedException = NotImplementedException;
