"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestTimeoutException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class RequestTimeoutException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Request Timeout') {
        super(message, HttpStatus_1.HttpStatus.RequestTimeout, 'Request Timeout');
    }
}
exports.RequestTimeoutException = RequestTimeoutException;
