"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestedRangeNotSatisfiableException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class RequestedRangeNotSatisfiableException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Requested Range Not Satisfiable') {
        super(message, HttpStatus_1.HttpStatus.RequestedRangeNotSatisfiable, 'Requested Range Not Satisfiable');
    }
}
exports.RequestedRangeNotSatisfiableException = RequestedRangeNotSatisfiableException;
