"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnsupportedMediaTypeException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class UnsupportedMediaTypeException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Unsupported Media Type') {
        super(message, HttpStatus_1.HttpStatus.UnsupportedMediaType, 'Unsupported Media Type');
    }
}
exports.UnsupportedMediaTypeException = UnsupportedMediaTypeException;
