"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTPVersionNotSupportedException = exports.GatewayTimeoutException = exports.ServiceUnavailableException = exports.BadGatewayException = exports.NotImplementedException = exports.InternalServerErrorException = exports.ImATeapotException = exports.ExpectationFailedException = exports.RequestedRangeNotSatisfiableException = exports.UnsupportedMediaTypeException = exports.RequestURITooLongException = exports.RequestEntityTooLargeException = exports.PreconditionFailedException = exports.LengthRequiredException = exports.GoneException = exports.ConflictException = exports.RequestTimeoutException = exports.NotAcceptableException = exports.MethodNotAllowedException = exports.NotFoundException = exports.ForbiddenException = exports.UnauthorizedException = exports.BadRequestException = exports.HttpException = void 0;
var HttpException_1 = require("./HttpException");
Object.defineProperty(exports, "HttpException", { enumerable: true, get: function () { return HttpException_1.HttpException; } });
var BadRequestException_1 = require("./BadRequestException");
Object.defineProperty(exports, "BadRequestException", { enumerable: true, get: function () { return BadRequestException_1.BadRequestException; } });
var UnauthorizedException_1 = require("./UnauthorizedException");
Object.defineProperty(exports, "UnauthorizedException", { enumerable: true, get: function () { return UnauthorizedException_1.UnauthorizedException; } });
var ForbiddenException_1 = require("./ForbiddenException");
Object.defineProperty(exports, "ForbiddenException", { enumerable: true, get: function () { return ForbiddenException_1.ForbiddenException; } });
var NotFoundException_1 = require("./NotFoundException");
Object.defineProperty(exports, "NotFoundException", { enumerable: true, get: function () { return NotFoundException_1.NotFoundException; } });
var MethodNotAllowedException_1 = require("./MethodNotAllowedException");
Object.defineProperty(exports, "MethodNotAllowedException", { enumerable: true, get: function () { return MethodNotAllowedException_1.MethodNotAllowedException; } });
var NotAcceptableException_1 = require("./NotAcceptableException");
Object.defineProperty(exports, "NotAcceptableException", { enumerable: true, get: function () { return NotAcceptableException_1.NotAcceptableException; } });
var RequestTimeoutException_1 = require("./RequestTimeoutException");
Object.defineProperty(exports, "RequestTimeoutException", { enumerable: true, get: function () { return RequestTimeoutException_1.RequestTimeoutException; } });
var ConflictException_1 = require("./ConflictException");
Object.defineProperty(exports, "ConflictException", { enumerable: true, get: function () { return ConflictException_1.ConflictException; } });
var GoneException_1 = require("./GoneException");
Object.defineProperty(exports, "GoneException", { enumerable: true, get: function () { return GoneException_1.GoneException; } });
var LengthRequiredException_1 = require("./LengthRequiredException");
Object.defineProperty(exports, "LengthRequiredException", { enumerable: true, get: function () { return LengthRequiredException_1.LengthRequiredException; } });
var PreconditionFailedException_1 = require("./PreconditionFailedException");
Object.defineProperty(exports, "PreconditionFailedException", { enumerable: true, get: function () { return PreconditionFailedException_1.PreconditionFailedException; } });
var RequestEntityTooLargeException_1 = require("./RequestEntityTooLargeException");
Object.defineProperty(exports, "RequestEntityTooLargeException", { enumerable: true, get: function () { return RequestEntityTooLargeException_1.RequestEntityTooLargeException; } });
var RequestURITooLongException_1 = require("./RequestURITooLongException");
Object.defineProperty(exports, "RequestURITooLongException", { enumerable: true, get: function () { return RequestURITooLongException_1.RequestURITooLongException; } });
var UnsupportedMediaTypeException_1 = require("./UnsupportedMediaTypeException");
Object.defineProperty(exports, "UnsupportedMediaTypeException", { enumerable: true, get: function () { return UnsupportedMediaTypeException_1.UnsupportedMediaTypeException; } });
var RequestedRangeNotSatisfiableException_1 = require("./RequestedRangeNotSatisfiableException");
Object.defineProperty(exports, "RequestedRangeNotSatisfiableException", { enumerable: true, get: function () { return RequestedRangeNotSatisfiableException_1.RequestedRangeNotSatisfiableException; } });
var ExpectationFailedException_1 = require("./ExpectationFailedException");
Object.defineProperty(exports, "ExpectationFailedException", { enumerable: true, get: function () { return ExpectationFailedException_1.ExpectationFailedException; } });
var ImATeapotException_1 = require("./ImATeapotException");
Object.defineProperty(exports, "ImATeapotException", { enumerable: true, get: function () { return ImATeapotException_1.ImATeapotException; } });
var InternalServerErrorException_1 = require("./InternalServerErrorException");
Object.defineProperty(exports, "InternalServerErrorException", { enumerable: true, get: function () { return InternalServerErrorException_1.InternalServerErrorException; } });
var NotImplementedException_1 = require("./NotImplementedException");
Object.defineProperty(exports, "NotImplementedException", { enumerable: true, get: function () { return NotImplementedException_1.NotImplementedException; } });
var BadGatewayException_1 = require("./BadGatewayException");
Object.defineProperty(exports, "BadGatewayException", { enumerable: true, get: function () { return BadGatewayException_1.BadGatewayException; } });
var ServiceUnavailableException_1 = require("./ServiceUnavailableException");
Object.defineProperty(exports, "ServiceUnavailableException", { enumerable: true, get: function () { return ServiceUnavailableException_1.ServiceUnavailableException; } });
var GatewayTimeoutException_1 = require("./GatewayTimeoutException");
Object.defineProperty(exports, "GatewayTimeoutException", { enumerable: true, get: function () { return GatewayTimeoutException_1.GatewayTimeoutException; } });
var HTTPVersionNotSupportedException_1 = require("./HTTPVersionNotSupportedException");
Object.defineProperty(exports, "HTTPVersionNotSupportedException", { enumerable: true, get: function () { return HTTPVersionNotSupportedException_1.HTTPVersionNotSupportedException; } });
