import { TResponse } from '../TResponse';
import { HttpException } from '../exceptions';
/**
 * @param {HttpException} error
 * @return {TResponse<never>}
 */
export declare function error(error: HttpException): TResponse<never>;
/**
 * @param {number} code
 * @param {string} [text]
 * @param {string} [message]
 * @return {TResponse<never>}
 */
export declare function error(code: number, text?: string, message?: string): TResponse<never>;
