"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.success = void 0;
const HttpStatus_1 = require("../HttpStatus");
/**
 * @param {T} [data]
 * @return {TResponse<T>}
 */
function success(data) {
    return {
        status: {
            text: 'Ok',
            message: 'Ok',
            code: HttpStatus_1.HttpStatus.Ok
        },
        response: data
    };
}
exports.success = success;
