import {NextFunction, Request, Response} from 'express';

export type TErrorMiddleware<T extends any = any> = {

    (error: T, req: Request, res: Response, next: NextFunction): any;

};

export type TRegularMiddleware = {

    (req: Request, res: Response, next: NextFunction): any;

};

export type TMiddleware<T extends any = any> = TErrorMiddleware<T> | TRegularMiddleware;
