import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class BadGatewayException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Bad Gateway') {
        super(message, HttpStatus.BadGateway, 'Bad Gateway');
    }

}
