import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class BadRequestException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Bad Request') {
        super(message, HttpStatus.BadRequest, 'Bad Request');
    }

}
