import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class ConflictException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Conflict') {
        super(message, HttpStatus.Conflict, 'Conflict');
    }

}
