import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class ExpectationFailedException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Expectation Failed') {
        super(message, HttpStatus.ExpectationFailed, 'Expectation Failed');
    }

}
