import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class ForbiddenException extends HttpException{

    /**
     * @param {string} message
     */
    constructor(message: string = 'Forbidden') {
        super(message, HttpStatus.Forbidden, 'Forbidden');
    }

}
