import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class InternalServerErrorException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Internal Server Error') {
        super(message, HttpStatus.InternalServerError, 'Internal Server Error');
    }

}
