import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class MethodNotAllowedException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Method Not Allowed') {
        super(message, HttpStatus.MethodNotAllowed, 'Method Not Allowed');
    }

}
