import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class NotAcceptableException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Not Acceptable') {
        super(message, HttpStatus.NotAcceptable, 'Not Acceptable');
    }

}
