import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class NotFoundException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Not Found') {
        super(message, HttpStatus.NotFound, 'Not Found');
    }

}
