import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class PreconditionFailedException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Precondition Failed') {
        super(message, HttpStatus.PreconditionFailed, 'Precondition Failed');
    }

}
