import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class RequestTimeoutException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Request Timeout') {
        super(message, HttpStatus.RequestTimeout, 'Request Timeout');
    }

}
