import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class RequestedRangeNotSatisfiableException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Requested Range Not Satisfiable') {
        super(message, HttpStatus.RequestedRangeNotSatisfiable, 'Requested Range Not Satisfiable');
    }

}
