import { Router } from 'express';
import { IController } from './IController';
export declare abstract class ControllerBase implements IController {
    readonly router: Router;
    initialize(): void | Promise<void>;
    protected abstract onInitializeRoutes(): void;
}
