"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BadRequestException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class BadRequestException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Bad Request') {
        super(message, HttpStatus_1.HttpStatus.BadRequest, 'Bad Request');
    }
}
exports.BadRequestException = BadRequestException;
