"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GatewayTimeoutException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class GatewayTimeoutException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Gateway Timeout') {
        super(message, HttpStatus_1.HttpStatus.GatewayTimeout, 'Gateway Timeout');
    }
}
exports.GatewayTimeoutException = GatewayTimeoutException;
