"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HTTPVersionNotSupportedException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class HTTPVersionNotSupportedException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'HTTP Version Not Supported') {
        super(message, HttpStatus_1.HttpStatus.HTTPVersionNotSupported, 'HTTP Version Not Supported');
    }
}
exports.HTTPVersionNotSupportedException = HTTPVersionNotSupportedException;
