"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpException = void 0;
class HttpException extends Error {
    /**
     * @param {string} message
     * @param {number} status
     * @param {string} textStatus
     */
    constructor(message, status, textStatus) {
        super(message);
        this.status = status;
        this.textStatus = textStatus;
    }
}
exports.HttpException = HttpException;
