"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImATeapotException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class ImATeapotException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'I\'m A Teapot') {
        super(message, HttpStatus_1.HttpStatus.ImATeapot, 'I\'m A Teapot');
    }
}
exports.ImATeapotException = ImATeapotException;
