"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalServerErrorException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class InternalServerErrorException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Internal Server Error') {
        super(message, HttpStatus_1.HttpStatus.InternalServerError, 'Internal Server Error');
    }
}
exports.InternalServerErrorException = InternalServerErrorException;
