"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MethodNotAllowedException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class MethodNotAllowedException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Method Not Allowed') {
        super(message, HttpStatus_1.HttpStatus.MethodNotAllowed, 'Method Not Allowed');
    }
}
exports.MethodNotAllowedException = MethodNotAllowedException;
