"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PreconditionFailedException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class PreconditionFailedException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Precondition Failed') {
        super(message, HttpStatus_1.HttpStatus.PreconditionFailed, 'Precondition Failed');
    }
}
exports.PreconditionFailedException = PreconditionFailedException;
