"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestEntityTooLargeException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class RequestEntityTooLargeException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Request Entity Too Large') {
        super(message, HttpStatus_1.HttpStatus.RequestEntityTooLarge, 'Request Entity Too Large');
    }
}
exports.RequestEntityTooLargeException = RequestEntityTooLargeException;
