"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestURITooLongException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class RequestURITooLongException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Request URI Too Long') {
        super(message, HttpStatus_1.HttpStatus.RequestURITooLong, 'Request URI Too Long');
    }
}
exports.RequestURITooLongException = RequestURITooLongException;
