"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceUnavailableException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class ServiceUnavailableException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Service Unavailable') {
        super(message, HttpStatus_1.HttpStatus.ServiceUnavailable, 'Service Unavailable');
    }
}
exports.ServiceUnavailableException = ServiceUnavailableException;
