"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnauthorizedException = void 0;
const HttpException_1 = require("./HttpException");
const HttpStatus_1 = require("../HttpStatus");
class UnauthorizedException extends HttpException_1.HttpException {
    /**
     * @param {string} [message]
     */
    constructor(message = 'Unauthorized') {
        super(message, HttpStatus_1.HttpStatus.Unauthorized, 'Unauthorized');
    }
}
exports.UnauthorizedException = UnauthorizedException;
