import { TMiddleware } from '../TMiddleware';
import { HttpException } from '../exceptions';
/**
 * @param {HttpException | e.Request} err
 * @param {e.Request | e.Response} req
 * @param {e.Response | e.NextFunction} res
 * @param next
 * @return {any}
 */
export declare const handleHttpErrors: TMiddleware<HttpException>;
/**
 * @param err
 * @param {e.Request} req
 * @param {e.Response} res
 * @param {e.NextFunction} next
 */
export declare const handleOtherErrors: TMiddleware<any>;
/**
 * @param {e.Request | e.Response} req
 * @param {e.Response | e.NextFunction} res
 */
export declare const handleRouteNotFound: TMiddleware;
