import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class GatewayTimeoutException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Gateway Timeout') {
        super(message, HttpStatus.GatewayTimeout, 'Gateway Timeout');
    }

}
