import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class GoneException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Gone') {
        super(message, HttpStatus.Gone, 'Gone');
    }

}
