import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class HTTPVersionNotSupportedException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'HTTP Version Not Supported') {
        super(message, HttpStatus.HTTPVersionNotSupported, 'HTTP Version Not Supported');
    }

}
