import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class LengthRequiredException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Length Required') {
        super(message, HttpStatus.LengthRequired, 'Length Required');
    }

}
