import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class NotImplementedException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Not Implemented') {
        super(message, HttpStatus.NotImplemented, 'Not Implemented');
    }

}
