import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class RequestEntityTooLargeException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Request Entity Too Large') {
        super(message, HttpStatus.RequestEntityTooLarge, 'Request Entity Too Large');
    }

}
