import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class RequestURITooLongException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Request URI Too Long') {
        super(message, HttpStatus.RequestURITooLong, 'Request URI Too Long');
    }

}
