import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class ServiceUnavailableException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Service Unavailable') {
        super(message, HttpStatus.ServiceUnavailable, 'Service Unavailable');
    }

}
