import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class UnauthorizedException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Unauthorized') {
        super(message, HttpStatus.Unauthorized, 'Unauthorized');
    }

}
