import {HttpException} from './HttpException';
import {HttpStatus} from '../HttpStatus';

export class UnsupportedMediaTypeException extends HttpException{

    /**
     * @param {string} [message]
     */
    constructor(message: string = 'Unsupported Media Type') {
        super(message, HttpStatus.UnsupportedMediaType, 'Unsupported Media Type');
    }

}
